require("dotenv").config();
const { MongoClient } = require("mongodb");

module.exports = {
  exec: async function (callback) {
    const conn = await new MongoClient(process.env.MONGODB_URL, {
      useNewUrlParser: true,
      useUnifiedTopology: true,
    })
      .connect()
      .then((conn) => {
        // console.log(
        //   `[Mongo] - ${new Date().toDateString()}: Connected successfully!!`
        // );
        return conn;
      })
      .catch((err) => {
        // console.log(
        //   `[Mongo] - ${new Date().toDateString()}: Connection failed`
        // );
        console.log(err, "------------------");
      });

    const result = await callback(conn);
    await conn.close();

    return result;
  },
};